%% Grab params

fPara = fopen('/data/dsge_data_dir/dsgedata/save/Euro_misdata//mhparam90493547000NaN20085020Mode','r');

para = fread(fPara,'single');

[alp,zeta_p,iota_p,del,ups,Bigphi,s2,h,ppsi,nu_l,zeta_w,iota_w,law,laf,bet,Rstarn,psi1,psi2,psi3,pistar,sigmac,rho,epsp,epsw...
gam,Lmean,Lstar,gstar,rho_g,rho_b,rho_mu,rho_z,rho_laf,rho_law,rho_rm,rho_sigw,rho_mue,rho_gamm,rho_pist...
sig_g,sig_b,sig_mu,sig_z,sig_laf,sig_law,sig_rm,sig_sigw,sig_mue,sig_gamm,sig_pist,eta_gz,eta_laf,eta_law...
zstar,rstar,rkstar,wstar,wl_c,cstar,kstar,kbarstar,istar,ystar,sprd,zeta_spb,gammstar,vstar,nstar,...
zeta_nRk,zeta_nR,zeta_nsigw,zeta_spsigw,zeta_nmue,zeta_spmue,zeta_nqk,zeta_nn] = getpara00_904(para);

saveName         = 'nt_evol.txt';

para_subset_name = {'zeta_nRk','zeta_nR','zeta_nqk','zeta_nn','zeta_nsigw','zeta_spsigw'};
para_subset_num  = cellfun(@eval,para_subset_name,'UniformOutput',0);

para_subset      = [para_subset_name;para_subset_num]';


fW = fopen(saveName,'w');

for I = 1:size(para_subset,1)
    fprintf(fW,'%s, %1.4f \n',para_subset{I,1},para_subset{I,2});
end

fclose(fW);

